Subject: Re: [PATCH (BUGFIX)] gitweb: Fix fixed string (non-regexp) project search

From: Jakub Narebski <[email-masked]>
Date: Tue, 6 Mar 2012 13:40:19 +0100

Ramsay Jones wrote:
> Jakub Narebski wrote:

>>> This patch solves the problem for me when using a regex search
>>> (re checkbox checked), but *not* for a non-regex search.
>>>
>>> If you have a leading '*' or '+', in the non-regex case, then you
>>> still get the above complaint (and xml error page etc.), although
>>> the line number has changed slightly from that given above.
>> 
>> Ramsay, please provide those line number in the future, together with
>> line and if possible some context.
> 
> Yeah, sorry about that; when I wrote that I didn't have the information
> readily available (I would have had to shutdown Windows, boot Linux, ...)
> and I was about to go out.

You could have told us _that_...

> So, the choice was to wait about 24hrs to report 
> with full info, or provide the feedback earlier; I chose the latter. ;-)

That's understandable.

Thanks again for reporting these issues.

-- 
Jakub Narebski
Poland